Retrieve active session

Retrieves details of the current active session for the authenticated User.

GET
/api/v2/access_token/activesession

Retrieves details of the current active session for the authenticated User.

Authorization

X-LoginRadius-ApiSecret<token>

In: header

X-LoginRadius-ApiKey<token>

In: header

Query Parameters

token?string

Access Token of the User.

profileid?string

Account ID of the User

accountid?string

Account ID of the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/api/v2/access_token/activesession?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c&profileid=1234567890abcdef&accountid=1234567890abcdef"
{
  "nextCursor": 0,
  "data": [
    {
      "AccessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
      "Browser": "Chrome",
      "Device": "Laptop",
      "Os": "Windows 10",
      "DeviceType": "Desktop",
      "City": "San Francisco",
      "Country": "USA",
      "Ip": "192.168.1.1",
      "LoginDate": "2023-06-01T12:34:56Z"
    }
  ]
}

{
  "errorCode": 922,
  "message": "API key is missing",
  "description": "The request is missing the API key, please use the valid API key parameter in order to process this request."
}

{
  "errorCode": 902,
  "message": "The API secret is unauthorized",
  "description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "errorCode": 901,
  "message": "The API key is unauthorized",
  "description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}